## precious 0.1.3

=== debian/changelog ===
precious (0.1.3-4) unstable; urgency=medium

  * build-depend on librust-clap-2-dev
    (not librust-clap-dev);
    closes: bug#1008454, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Mar 2022 03:23:46 +0200

precious (0.1.3-3) unstable; urgency=medium

  * fix build-depend on librust-which+default-dev
    (not librust-which+failure-dev);
    closes: bug#1008020, thanks to Peter Michael Green
  * fix clean generated documentation
  * add package fields Built-Using XB-X-Cargo-Built-Using

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Mar 2022 18:50:35 +0100

precious (0.1.3-2) unstable; urgency=medium

  * update copyright info:
    + fix reorder wildcard Files sections
    + fix Upstream-Name
  * fix update package relations:
    + tighten build-dependency on librust-indexmap+serde-dev
    + stop build-depend on librust-hashbrown-dev
    + stop build-conflict against librust-indexmap-1.3-dev
  * check testsuite
  * generate html and plaintext README from upstream markdown;
    build-depend on cmark-gfm
  * add patch 2002 to avoid privacy leak in documentation
  * update cargo-checksum file

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Feb 2022 10:57:46 +0100

precious (0.1.3-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches 1001 1002 1003 adopted upstream
  * add patches 1001-1007 to relax dependencies for cargo;
    add patch 2001 to use clap 2.x (not 3.x);
    adjust build-dependencies;
    stop embed rust library indexmap
  * tighten lintian overrides
  * update TODOs
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Feb 2022 00:38:49 +0100

precious (0.1.2-1) experimental; urgency=low

  * initial packaging;
    closes: Bug#996762

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Oct 2021 12:37:34 +0200
