=== debian/control ===
Source: precious
Section: devel
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-cargo,
 git <!nocheck>,
 help2man <!nodoc>,
 librust-ansi-term-dev,
 librust-anyhow-dev (<< 2),
 librust-atty-dev,
 librust-clap-2-dev,
 librust-fern+colored-dev (<< 7),
 librust-globset-dev (<< 5),
 librust-ignore-dev (<< 5),
 librust-indexmap+serde-dev (>= 1.7.0),
 librust-indexmap+serde-dev (<< 1.9),
 librust-itertools-dev (<< 0.11),
 librust-log-dev (<< 0.5),
 librust-md5-dev (<< 8),
#path-clean = "~0.1"
 librust-pretty-assertions-dev (<< 1.2),
 librust-rayon-dev (<< 1.9),
 librust-serde+derive-dev (<< 1.1),
 librust-strsim-dev,
 librust-thiserror-dev (<< 1.1),
 librust-toml-dev (<< 6),
 librust-vec-map-dev,
 librust-which+default-dev (<< 5),
Standards-Version: 4.6.0
Homepage: https://github.com/houseabsolute/precious
Vcs-Git: https://salsa.debian.org/debian/precious.git
Vcs-Browser: https://salsa.debian.org/debian/precious
Rules-Requires-Root: no

Package: precious
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 git,
 golang-golang-x-tools,
 libperl-critic-perl,
 perl,
 perltidy,
 rust-clippy,
 rustfmt,
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: one code quality tool to rule them all
 Precious is a command-line tool to unify
 the execution of source code tidiers and validators.
 .
 With Precious you can configure
 all of your code quality tool rules in one place
 and easily run `precious` from your commit hooks and in CI.
 .
 Several tidier+validator unifiers/orchestraters exists,
 including perl-based TidyAll (the predecessor of Precious),
 Python-based pre-commit,
 Go-based lefthook,
 NodeJS-based husky and lint-staged,
 and Ruby-based overcommit.
 For comparison, Precious is Rust-based with these notable features:
  * handles directory-wide and project-wide tasks
    (unlike TidyAll)
  * stores task settings locally
    (unlike pre-commit)
  * cannot cache tasks
    (unlike TidyAll)
  * supports incremental linting
    (unlike lefthook, husky, lint-staged or overcommit)
 .
 For a more detailed comparison,
 see <https://blog.urth.org/2020/05/08/comparing-code-quality-meta-tools/>.
