## precious 0.1.4

=== debian/changelog ===
precious (0.1.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update TODOs
  * drop patches obsoleted updated crates in Debian
  * replace patch 2001 to accept newer minor releases of clap
    (not downgrade to older major release);
    build-depend on librust-clap-3+default-dev
    (not librust-clap-2+default-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Aug 2022 08:12:50 +0200

precious (0.1.3-6) unstable; urgency=medium

  * stop set CARGO_HOME CARGO_NET_OFFLINE: handled by dh-cargo
  * drop obsolete patches 1006 1007
  * update patches to simplify version declarations
  * tighten build-dependencies
  * declare compliance with Debian Policy 4.6.1
  * update TODOs
  * simplify rules, using embedded dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 May 2022 00:06:50 +0200

precious (0.1.3-5) unstable; urgency=medium

  * add patch 1008 to relax dependency on tempfile
  * generate cargo-checksum file during build
  * preserve Cargo.lock during build;
    build-depend test-only on
    librust-serial-test-0.5+default-dev
    librust-tempfile-3+default-dev
  * track VENDORLIBS in TODO

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Apr 2022 02:19:09 +0200
