=== debian/control ===
--- 
+++ 
@@ -8,28 +8,28 @@
  dh-cargo,
  git <!nocheck>,
  help2man <!nodoc>,
- librust-ansi-term-dev,
- librust-anyhow-dev (<< 2),
- librust-atty-dev,
- librust-clap-2-dev,
+ librust-anyhow-1+default-dev (>= 1.0.44),
+ librust-clap-3+default-dev,
  librust-fern+colored-dev (<< 7),
- librust-globset-dev (<< 5),
- librust-ignore-dev (<< 5),
- librust-indexmap+serde-dev (>= 1.7.0),
- librust-indexmap+serde-dev (<< 1.9),
- librust-itertools-dev (<< 0.11),
- librust-log-dev (<< 0.5),
- librust-md5-dev (<< 8),
-#path-clean = "~0.1"
- librust-pretty-assertions-dev (<< 1.2),
- librust-rayon-dev (<< 1.9),
- librust-serde+derive-dev (<< 1.1),
- librust-strsim-dev,
- librust-thiserror-dev (<< 1.1),
- librust-toml-dev (<< 6),
- librust-vec-map-dev,
+ librust-fern+default-dev (<< 7),
+ librust-globset-0.4+default-dev (>= 0.4.8),
+ librust-ignore-0.4+default-dev (>= 0.4.18),
+ librust-indexmap-1+default-dev (>= 1.7),
+ librust-indexmap-1+serde-dev (>= 1.7),
+ librust-itertools+default-dev (<< 0.11),
+ librust-log-0.4+default-dev,
+ librust-md5-0.7+default-dev,
+# librust-path-clean-0.1+default-dev,
+ librust-pretty-assertions-1+default-dev (>= 1.1),
+ librust-rayon-1+default-dev (>= 1.4.1),
+ librust-serde-1+default-dev (>= 1.0.130),
+ librust-serde-1+derive-dev (>= 1.0.130),
+ librust-serial-test-0.5+default-dev <!nocheck>,
+ librust-tempfile-3+default-dev <!nocheck>,
+ librust-thiserror-1+default-dev (>= 1.0.30),
+ librust-toml-0.5+default-dev (>= 0.5.8),
  librust-which+default-dev (<< 5),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/houseabsolute/precious
 Vcs-Git: https://salsa.debian.org/debian/precious.git
 Vcs-Browser: https://salsa.debian.org/debian/precious
@@ -48,8 +48,10 @@
  perltidy,
  rust-clippy,
  rustfmt,
-Built-Using: ${cargo:Built-Using}
-XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Built-Using:
+ ${cargo:Built-Using},
+XB-X-Cargo-Built-Using:
+ ${cargo:X-Cargo-Built-Using},
 Description: one code quality tool to rule them all
  Precious is a command-line tool to unify
  the execution of source code tidiers and validators.
