## precious 0.5.0

=== debian/changelog ===
precious (0.5.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * build-depend on recent cargo;
    drop patch 2001
  * add patch 1001 to relax crate dependencies
  * declare compliance with Debian Policy 4.6.2
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Feb 2023 16:25:15 +0100

precious (0.4.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patch 2001

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2022 13:55:51 +0100

precious (0.4.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches 2001_clap 2001_regex, obsoleted by Debian package updates
  * unfuzz patch 2002
  * render and install additional documentation
  * build-depend on packages for crates env-logger filetime pathdiff;
    tighten build-dependencies for crates
    anyhow globset indexmap log once-cell pretty-assertions rayon regex
    serde serial-test tempfile thiserror toml
  * add patch 2001 to avoid cargo feature workspace-inheritance;
    add workaround to only clean build with patches are applied
  * update dh-cargo fork;
    build-depend on libstring-shellquote-perl

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2022 11:08:02 +0100

precious (0.3.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add patch 2001_regex to relax dependency on crate regex
  * build-depend on
    librust-once-cell-1+default-dev librust-regex-1+default-dev

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Oct 2022 17:00:58 +0200

precious (0.2.2-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update patches
  * build-depend on librust-clap-3+cargo-dev librust-clap-3+derive-dev
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Sep 2022 15:49:32 +0200

precious (0.2.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Sep 2022 15:14:36 +0200

precious (0.1.7-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * embed crate clean-path (not path-clean)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Sep 2022 20:13:01 +0200

precious (0.1.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Sep 2022 14:26:48 +0200
