=== debian/control ===
--- 
+++ 
@@ -3,33 +3,43 @@
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
+ cargo (>= 0.66~),
  cmark-gfm <!nodoc>,
  debhelper-compat (= 13),
  dh-cargo,
  git <!nocheck>,
  help2man <!nodoc>,
- librust-anyhow-1+default-dev (>= 1.0.44),
+ librust-anyhow-1+default-dev (>= 1.0.66),
+ librust-clap-3+cargo-dev,
  librust-clap-3+default-dev,
+ librust-clap-3+derive-dev,
+# librust-clean-path-0.2+default-dev,
+ librust-env-logger-0.9+default-dev,
  librust-fern+colored-dev (<< 7),
  librust-fern+default-dev (<< 7),
- librust-globset-0.4+default-dev (>= 0.4.8),
+ librust-filetime-0.2+default-dev (>= 0.2.18),
+ librust-globset-0.4+default-dev (>= 0.4.9),
  librust-ignore-0.4+default-dev (>= 0.4.18),
- librust-indexmap-1+default-dev (>= 1.7),
- librust-indexmap-1+serde-dev (>= 1.7),
+ librust-indexmap-1+default-dev (>= 1.9.1),
+ librust-indexmap-1+serde-dev (>= 1.9.1),
  librust-itertools+default-dev (<< 0.11),
- librust-log-0.4+default-dev,
+ librust-log-0.4+default-dev (>= 0.4.17),
  librust-md5-0.7+default-dev,
-# librust-path-clean-0.1+default-dev,
- librust-pretty-assertions-1+default-dev (>= 1.1),
- librust-rayon-1+default-dev (>= 1.4.1),
- librust-serde-1+default-dev (>= 1.0.130),
- librust-serde-1+derive-dev (>= 1.0.130),
- librust-serial-test-0.5+default-dev <!nocheck>,
- librust-tempfile-3+default-dev <!nocheck>,
- librust-thiserror-1+default-dev (>= 1.0.30),
- librust-toml-0.5+default-dev (>= 0.5.8),
+ librust-once-cell-1+default-dev (>= 1.16),
+ librust-pathdiff-0.2+default-dev,
+ librust-pretty-assertions-1+default-dev (>= 1.3),
+ librust-rayon-1+default-dev (>= 1.5.3),
+ librust-regex-1+default-dev (>= 1.7),
+ librust-serde-1+default-dev (>= 1.0.147),
+ librust-serde-1+derive-dev (>= 1.0.147),
+ librust-serial-test-0.9+default-dev <!nocheck>,
+ librust-tempfile-3+default-dev (>= 3.3) <!nocheck>,
+ librust-test-case-2+default-dev <!nocheck>,
+ librust-thiserror-1+default-dev (>= 1.0.37),
+ librust-toml-0.5+default-dev (>= 0.5.9),
  librust-which+default-dev (<< 5),
-Standards-Version: 4.6.1
+ libstring-shellquote-perl,
+Standards-Version: 4.6.2
 Homepage: https://github.com/houseabsolute/precious
 Vcs-Git: https://salsa.debian.org/debian/precious.git
 Vcs-Browser: https://salsa.debian.org/debian/precious
