## precious 0.5.1+20230704

=== debian/changelog ===
precious (0.5.1+20230704-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + update to depend on crate clap v4;
      closes: bug#1040878, thanks to Peter Green

  [ Jonas Smedegaard ]
  * clean generated manpage after build
  * update and unfuzz patches
  * update long description, based on upstream readme
  * update dependencies for crate clap

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jul 2023 23:20:29 +0200

precious (0.5.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jun 2023 13:30:53 +0200
