=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  git <!nocheck>,
  help2man <!nodoc>,
  librust-anyhow-1+default-dev (>= 1.0.66),
- librust-clap-3+cargo-dev,
- librust-clap-3+default-dev,
- librust-clap-3+derive-dev,
+ librust-clap-4+cargo-dev,
+ librust-clap-4+default-dev,
+ librust-clap-4+derive-dev,
+ librust-clap-4+wrap-help-dev,
 # librust-clean-path-0.2+default-dev,
  librust-env-logger-0.9+default-dev,
  librust-fern+colored-dev (<< 7),
@@ -63,28 +64,21 @@
 XB-X-Cargo-Built-Using:
  ${cargo:X-Cargo-Built-Using},
 Description: one code quality tool to rule them all
- Precious is a command-line tool to unify
- the execution of source code tidiers and validators.
+ Precious is a code quality tool
+ that lets you run all of your linters and tidiers
+ with a single command.
  .
- With Precious you can configure
- all of your code quality tool rules in one place
- and easily run `precious` from your commit hooks and in CI.
- .
- Several tidier+validator unifiers/orchestraters exists,
- including perl-based TidyAll (the predecessor of Precious),
- Python-based pre-commit,
- Go-based lefthook,
- NodeJS-based husky and lint-staged,
- and Ruby-based overcommit.
- For comparison, Precious is Rust-based with these notable features:
-  * handles directory-wide and project-wide tasks
-    (unlike TidyAll)
-  * stores task settings locally
-    (unlike pre-commit)
-  * cannot cache tasks
-    (unlike TidyAll)
-  * supports incremental linting
-    (unlike lefthook, husky, lint-staged or overcommit)
- .
- For a more detailed comparison,
- see <https://blog.urth.org/2020/05/08/comparing-code-quality-meta-tools/>.
+ It's features include:
+  * One file, `precious.toml`,
+    defines all of your linter and tidier commands,
+    as well as what files they operate on.
+  * Respects VCS ignore files
+    and allows global and per-command excludes.
+  * Language-agnostic,
+    and works the same way with single- or multi-language projects.
+  * Easy integration with commit hooks and CI systems.
+  * Commands are executed in parallel by default,
+    with one process per CPU.
+  * Commands can be grouped with labels,
+    for example to just run a subset of commands for commit hooks
+    and all commands in CI.
