## precious 0.6.0

=== debian/changelog ===
precious (0.6.0-7) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 01:58:54 +0200

precious (0.6.0-6) unstable; urgency=medium

  * update patches;
    tighten build-dependencies for most crates;
    relax build-dependency for crate itertools;
    closes: bug#1072261, thanks to Peter Green
  * set Static-Built-Using (not X-Cargo-Built-Using)
  * stop build-depend explicitly on cargo
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: fix file path
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 May 2024 07:33:05 +0200

precious (0.6.0-5) unstable; urgency=medium

  * update patch 2001_indexmap to relax dependency;
    really closes: bug#1063685, thanks (again) to Peter Michael

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 23:04:24 +0100

precious (0.6.0-4) unstable; urgency=medium

  * relax build-dependencies for crate indexmap;
    closes: bug#1063685, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 18:46:17 +0100

precious (0.6.0-3) unstable; urgency=medium

  * update patch 2001_toml;
    relax build-dependency for crate toml;
    closes: bug#1061948, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jan 2024 15:43:30 +0100

precious (0.6.0-2) unstable; urgency=medium

  * drop patches 2001_anyhow 2001_rayon 2001_serde,
    obsoleted by Debian package changes
  * update patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Dec 2023 21:56:31 +0100

precious (0.6.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Nov 2023 01:14:51 +0100

precious (0.5.2-1) unstable; urgency=medium

  * drop patch 2001_clap,
    obsoleted by Debian package changes
  * update patches
  * add TODO item about command "precious config list"

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Oct 2023 21:15:55 +0200

precious (0.5.1+20230704-7) unstable; urgency=medium

  * drop patch 2001_regex, obsoleted by Debian package changes

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Oct 2023 21:18:42 +0200

precious (0.5.1+20230704-6) unstable; urgency=medium

  * drop patch 2001_toml,
    obsoleted by Debian package changes;
    update build-dependency for crate toml
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Sep 2023 01:12:52 +0200

precious (0.5.1+20230704-5) unstable; urgency=medium

  * update dh-cargo fork;
    closes: bug#1046328, thanks to Lucas Nussbaum
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Aug 2023 09:32:49 +0200

precious (0.5.1+20230704-4) unstable; urgency=medium

  * update and split patches;
    update build-dependencies for crate test-case
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Aug 2023 21:07:48 +0200

precious (0.5.1+20230704-3) unstable; urgency=medium

  * update patch 1001;
    tighten build-dependency on package for crate env_logger

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Aug 2023 20:55:11 +0200

precious (0.5.1+20230704-2) unstable; urgency=medium

  * update dh-cargo fork
  * update copyright info: update file paths
  * reduce patch 1001 to not affect crate serial-test;
    update build-dependency for crate serial-test;
    closes: bug#1043174, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Aug 2023 02:35:20 +0200
