=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,12 @@
 #!/usr/bin/make -f
 
 # generate documentation unless nodoc requested
+DOCS_stem = README $(basename $(wildcard docs/*.md))
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-DOCS = README.html README.txt
+DOCS = $(addsuffix .html,$(DOCS_stem)) $(addsuffix .txt,$(DOCS_stem))
 CHANGELOGS = Changes.html Changes.txt
 MANPAGES = debian/build/precious.1
 endif
-
-# use local fork of dh-cargo and cargo wrapper
-PATH := $(CURDIR)/debian/dh-cargo/bin:$(PATH)
-PERL5LIB = $(CURDIR)/debian/dh-cargo/lib
-export PATH PERL5LIB
 
 # resolve all direct entries in first "package..." section in TODO
 VENDORLIBS = $(shell perl -nE \
@@ -19,7 +15,7 @@
  debian/TODO)
 
 %:
-	dh $@ --buildsystem cargo
+	dh $@
 
 %.html: %.md
 	cmark-gfm $< > $@
