## precious 0.7.3

=== debian/changelog ===
precious (0.7.3-8) unstable; urgency=medium

  * tune build flags for hardening and speed

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jan 2025 13:01:23 +0100

precious (0.7.3-7) unstable; urgency=medium

  * declare build-dependencies unconditionally,
    i.e. drop broken nocheck annotations;
    closes: bug#1091353, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jan 2025 01:53:54 +0100

precious (0.7.3-6) unstable; urgency=medium

  * drop patches 2001_env_logger 2001_thiserror,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate rust-env-logger

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jan 2025 11:47:53 +0100

precious (0.7.3-5) unstable; urgency=medium

  * update and unfuzz patches
  * tighten build-dependencies for crates itertools which;
    relax build-dependencies for crates env_logger serial_test

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Oct 2024 12:36:48 +0200

precious (0.7.3-4) unstable; urgency=medium

  * add patch 1001_which to accept newer branches of crate which;
    relax build-dependency for crate which
    (see bug#1060874)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Oct 2024 19:52:52 +0200

precious (0.7.3-3) unstable; urgency=medium

  * update patch 1001 to cover newer branches;
    relax (build-)dependencies for crate itertools;
    closes: bug#1082551, thanks to Peter Michael Green
  * drop patch 2001_clap,
    obsoleted by Debian packaging changes

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Sep 2024 09:54:52 +0200

precious (0.7.3-2) unstable; urgency=medium

  * update patch 1002 with improved usage strings
  * tighten build rules to catch failure in loop
  * simplify stripping checksums of embedded crate
  * stop embed crate comfy-table;
    build-depend on package for crate comfy-table
    (not ansi-str console crossterm strum
    strum-macros unicode-width)
  * drop patches obsoleted by debian package changes
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Sep 2024 20:11:48 +0200

precious (0.7.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * embed crates comfy-tables pushd;
    build-depend on packages
    for crates ansi-str console crossterm
    strum strum_macros unicode-width
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jul 2024 14:03:21 +0200

precious (0.6.0-8) unstable; urgency=medium

  * fix custom build target get-vendorlibs;
    stop include stale Cargo.lock with source
  * generate manpages also for subcommands;
    build-depend on libstring-shellquote-perl
  * add patch 1002
    to add short usage descriptions for subcommand

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jul 2024 12:32:22 +0200
