=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
  librust-clap-4+wrap-help-dev,
-# librust-clean-path-0.2+default-dev,
- librust-env-logger-0.10+default-dev,
+ librust-comfy-table-7+default-dev,
+ librust-env-logger-0.11+default-dev,
  librust-fern+colored-dev (<< 7),
  librust-fern+default-dev (<< 7),
  librust-filetime-0.2+default-dev (>= 0.2.22),
@@ -22,7 +22,7 @@
  librust-ignore-0.4+default-dev (>= 0.4.20),
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
- librust-itertools-dev (<< 0.13),
+ librust-itertools-0.13+default-dev,
  librust-log-0.4+default-dev (>= 0.4.20),
  librust-md5-0.7+default-dev,
  librust-once-cell-1+default-dev (>= 1.18),
@@ -32,12 +32,13 @@
  librust-regex-1+default-dev (>= 1.10.2),
  librust-serde-1+default-dev (>= 1.0.189),
  librust-serde-1+derive-dev (>= 1.0.189),
- librust-serial-test-2+default-dev <!nocheck>,
- librust-tempfile-3+default-dev (>= 3.8) <!nocheck>,
- librust-test-case-3+default-dev <!nocheck>,
+ librust-serial-test-dev (<< 4),
+ librust-tempfile-3+default-dev (>= 3.8),
+ librust-test-case-3+default-dev,
  librust-thiserror-1+default-dev (>= 1.0.49),
  librust-toml-0.8+default-dev,
- librust-which+default-dev (<< 5),
+ librust-which-6+default-dev,
+ libstring-shellquote-perl <!nodoc>,
 Standards-Version: 4.7.0
 Homepage: https://github.com/houseabsolute/precious
 Vcs-Git: https://salsa.debian.org/debian/precious.git
