## precious 0.8.0%2B~0.2.1%2B20220602%2B~0.0.2

=== debian/watch ===
version: 5
Version-Schema: group
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: houseabsolute
Project: precious
Uversion-Mangle: auto
Dversion-Mangle: auto
Repacksuffix: +ds

Component: Xclean-path
Source: https://gitlab.com/foo-jin/clean-path.git
Matching-Pattern: HEAD
Mode: git
Pretty: 0.2.1+%cd

Component: Xpushd
Template: Github
Owner: houseabsolute
Project: pushd
Uversion-Mangle: auto
