## precious 0.8.0+~0.2.1+20220602+~0.0.2

=== debian/changelog ===
precious (0.8.0+~0.2.1+20220602+~0.0.2-6) unstable; urgency=medium

  * relax build-dependencies
    for crates anyhow filetime globset ignore log pretty-assertions
    rayon regex serde tempfile
  * drop patches 2001_anyhow 2001_clap 2001_env_logger 2001_indexmap
    2001_pretty_assertions 2001_thiserror,
    obsoleted by Debian packaging changes
  * update DEP-3 patch headers
  * unfuzz patch
  * add patch 1001_fern to accept newer minor version of crate fern;
    relax build-dependencies for crate fern;
    closes: bug#1086067, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Nov 2025 14:02:47 +0100

precious (0.8.0+~0.2.1+20220602+~0.0.2-5) unstable; urgency=medium

  * tighten build-dependency for crate which
  * build-depend on libstd-rust-dev
  * update and unfuzz patches
  * update watch file: use file format 5

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 16:15:47 +0200

precious (0.8.0+~0.2.1+20220602+~0.0.2-4) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 11:31:17 +0200

precious (0.8.0+~0.2.1+20220602+~0.0.2-3) experimental; urgency=medium

  * relax to accept newer branches of crate which

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Aug 2025 10:25:42 +0200

precious (0.8.0+~0.2.1+20220602+~0.0.2-2) unstable; urgency=medium

  * bump build-dependency for crate thiserror;
    closes: bug#1101632, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Mar 2025 08:29:17 +0200

precious (0.8.0+~0.2.1+20220602+~0.0.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve filename mangling
  * embed crates using uscan and git-buildpackage;
    drop custom embedding
  * update and unfuzz patches
  * add patches 2001_clean-path 2001_pushd
    to use embedded crates clean-path pushd
  * add patch 2003 to avoid benches
  * extend patch 2001_serial_test to cover embedded crate pushd
  * stop build-depend on package for crate once_cell
  * declare compliance with Debian Policy 4.7.2
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Mar 2025 21:12:45 +0100
