=== debian/control ===
--- 
+++ 
@@ -8,38 +8,37 @@
  dh-sequence-rust,
  git <!nocheck>,
  help2man <!nodoc>,
- librust-anyhow-1+default-dev (>= 1.0.75),
+ librust-anyhow-1+default-dev,
  librust-clap-4+cargo-dev,
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
  librust-clap-4+wrap-help-dev,
  librust-comfy-table-7+default-dev,
  librust-env-logger-0.11+default-dev,
- librust-fern+colored-dev (<< 7),
- librust-fern+default-dev (<< 7),
- librust-filetime-0.2+default-dev (>= 0.2.22),
- librust-globset-0.4+default-dev (>= 0.4.13),
- librust-ignore-0.4+default-dev (>= 0.4.20),
+ librust-fern-dev (<< 0.8),
+ librust-filetime-0.2+default-dev,
+ librust-globset-0.4+default-dev,
+ librust-ignore-0.4+default-dev,
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
  librust-itertools-0.13+default-dev,
- librust-log-0.4+default-dev (>= 0.4.20),
+ librust-log-0.4+default-dev,
  librust-md5-0.7+default-dev,
- librust-once-cell-1+default-dev (>= 1.18),
  librust-pathdiff-0.2+default-dev,
- librust-pretty-assertions-1+default-dev (>= 1.4),
- librust-rayon-1+default-dev (>= 1.8),
- librust-regex-1+default-dev (>= 1.10.2),
- librust-serde-1+default-dev (>= 1.0.189),
- librust-serde-1+derive-dev (>= 1.0.189),
+ librust-pretty-assertions-1+default-dev,
+ librust-rayon-1+default-dev,
+ librust-regex-1+default-dev,
+ librust-serde-1+default-dev,
+ librust-serde-1+derive-dev,
  librust-serial-test-dev (<< 4),
- librust-tempfile-3+default-dev (>= 3.8),
+ librust-tempfile-3+default-dev,
  librust-test-case-3+default-dev,
- librust-thiserror-1+default-dev (>= 1.0.49),
+ librust-thiserror-2+default-dev,
  librust-toml-0.8+default-dev,
- librust-which-6+default-dev,
+ librust-which-8+default-dev,
+ libstd-rust-dev,
  libstring-shellquote-perl <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/houseabsolute/precious
 Vcs-Git: https://salsa.debian.org/debian/precious.git
 Vcs-Browser: https://salsa.debian.org/debian/precious
