=== debian/watch ===
--- 
+++ 
@@ -6,9 +6,6 @@
 Template: Github
 Owner: houseabsolute
 Project: precious
-Uversion-Mangle: auto
-Dversion-Mangle: auto
-Repacksuffix: +ds
 
 Component: Xclean-path
 Source: https://gitlab.com/foo-jin/clean-path.git
@@ -20,4 +17,3 @@
 Template: Github
 Owner: houseabsolute
 Project: pushd
-Uversion-Mangle: auto
